org.apache.hadoop.hdfs.protocol

## Class CachePoolStats.Builder

- java.lang.Object
- - org.apache.hadoop.hdfs.protocol.CachePoolStats.Builder

- Enclosing class:
    CachePoolStats

      public static class CachePoolStats.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachePoolStats` | `build()`
    `CachePoolStats.Builder` | `setBytesCached(long bytesCached)`
    `CachePoolStats.Builder` | `setBytesNeeded(long bytesNeeded)`
    `CachePoolStats.Builder` | `setBytesOverlimit(long bytesOverlimit)`
    `CachePoolStats.Builder` | `setFilesCached(long filesCached)`
    `CachePoolStats.Builder` | `setFilesNeeded(long filesNeeded)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setBytesNeeded

          public CachePoolStats.Builder setBytesNeeded(long bytesNeeded)

    - #### setBytesCached

          public CachePoolStats.Builder setBytesCached(long bytesCached)

    - #### setBytesOverlimit

          public CachePoolStats.Builder setBytesOverlimit(long bytesOverlimit)

    - #### setFilesNeeded

          public CachePoolStats.Builder setFilesNeeded(long filesNeeded)

    - #### setFilesCached

          public CachePoolStats.Builder setFilesCached(long filesCached)

    - #### build

          public CachePoolStats build()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.